Bug 229472 - Need to update bundled eclipselink to 2.5 release
Need to update bundled eclipselink to 2.5 release
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
7.3.1
All All
: P1 (vote)
: 7.3.1
Assigned To: Sergey Petrov
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 15:58 UTC by Sergey Petrov
Modified: 2013-05-28 14:46 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Petrov 2013-05-07 15:58:12 UTC
Need to update bundled eclipselink to 2.5 release.
- update maven dependencies from snapshot to final
- update jars
- update a few usages dependent on jar names
Comment 1 Sergey Petrov 2013-05-14 14:15:10 UTC
http://hg.netbeans.org/web-main/rev/13026bd7dba4 update to 2.5 rc2.
if rc2 will be declared as fcs, no updates are required for jars,
the only required update is for maven dependencies, but it less important as 2.5-snapshot should work fine for now in my opinion, but I don';t know maven policies well if snapshot may be removed or not after release.
Comment 2 Sergey Petrov 2013-05-14 16:04:39 UTC
In my case, current 7.3.1 eclipsleink build is out of date and is so far from rc2
Comment 3 Quality Engineering 2013-05-15 02:30:53 UTC
Integrated into 'main-golden', will be available in build *201305142300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/13026bd7dba4
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #229472 2.5 rc2 bundled, keep maven as 2.5-snapshot
Comment 4 Jiri Skrivanek 2013-05-15 12:52:24 UTC
I haven't found any problem in NetBeans IDE Dev (Build 201305142300).
Comment 5 Sergey Petrov 2013-05-15 14:37:28 UTC
I've found release 2.5.0 maven artifacts are available, will update soon.
Comment 6 Sergey Petrov 2013-05-15 15:34:35 UTC
not today, got some issues, may be it's wrong dependencies.
Comment 7 Sergey Petrov 2013-05-16 08:45:14 UTC
we have to use some snapshot dependencies in 7.3.1, if keep all as snapshot 
http://hg.netbeans.org/main-golden/rev/13026bd7dba4 may be complete changeset to transplant into release branch.
Comment 8 Sergey Petrov 2013-05-16 11:10:18 UTC
I'm not sure who can review,
David, can you? It's either complete fix(if rc2 will be released) or one more changeset with maven dependencies update may be added.
Comment 9 Sergey Petrov 2013-05-16 13:16:47 UTC
ok, I have my own decision, to keep -snapshot for all artifacts instead of having mix, so review the fix from this point of view.
Comment 10 David Konecny 2013-05-16 21:39:00 UTC
> http://hg.netbeans.org/main-golden/rev/13026bd7dba4

I reviewed it and it looks OK - older jars are replaced with newer ones.

As for Maven case are you saying that you are intentionally not updating dependencies to final Maven artifacts because they are broken? And we will keep generating pom.xml dependency on SNAPSHOT? That would make sense to me.
Comment 11 Sergey Petrov 2013-05-17 03:01:04 UTC
yes, see https://bugs.eclipse.org/bugs/show_bug.cgi?id=408212
we can't use eclipselink final and modelgen final together.
Comment 12 Sergey Petrov 2013-05-20 17:26:29 UTC
Assume, this one should be marked as fixed also. RC2 is latest one and may be declared as release later
Comment 13 Quality Engineering 2013-05-21 00:20:58 UTC
Integrated into 'releases', will be available in build *201305202200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/c8030b837b4c
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #229472 2.5 rc2 bundled, keep maven as 2.5-snapshot
Comment 14 Sergey Petrov 2013-05-28 14:46:34 UTC
finally rc2=release.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo